# Uses of Enum Class
org.opensaml.saml.common.xml.SAMLSchemaBuilder.SAML1Version

Packages that use SAMLSchemaBuilder.SAML1Version
Package
Description
org.opensaml.saml.common.xml
SAML constants and and misc XML functionality.

## Uses of SAMLSchemaBuilder.SAML1Version in org.opensaml.saml.common.xml

Methods in org.opensaml.saml.common.xml that return SAMLSchemaBuilder.SAML1Version
Modifier and Type
Method
Description
`static SAMLSchemaBuilder.SAML1Version`
SAMLSchemaBuilder.SAML1Version.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SAMLSchemaBuilder.SAML1Version[]`
SAMLSchemaBuilder.SAML1Version.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.opensaml.saml.common.xml with parameters of type SAMLSchemaBuilder.SAML1Version
Modifier
Constructor
Description
``
`SAMLSchemaBuilder(SAMLSchemaBuilder.SAML1Version ver)`
Constructor.
``
`SAMLSchemaBuilder(SAMLSchemaBuilder.SAML1Version ver, boolean strict)`
Constructor.